
// TreeIterator examples
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.


import com.myarch.treeiterator.TreeIterator;
import com.myarch.treeiterator.DOMAdapter;

import org.w3c.dom.Node;

/**
 * Performs full tree traversal of a DOM tree using tree iterator.
 * @author Alexander Ananiev
 */
public class IterFullTraversal {

  /**
   * Traverses DOM tree using tree iterator.
   * @param rootNode root of the DOM tree.
   */
  public void traverse ( Node rootNode ) {
    // create iterator
    TreeIterator tIterator = new TreeIterator ( rootNode , new DOMAdapter() );
    Node node = null;
    while( (node=(Node)tIterator.next()) != null )  {
      // print node information
      System.out.println( node.getNodeName()+"="+node.getNodeValue());
    }
  }


  public static void main(String[] args) {
    try {
      // default file name
      String filename = "personnel.xml";
      if (args.length == 1)
        // any file can be specified
        filename = args[0];
      new IterFullTraversal().traverse( ParserUtil.parse( filename ) );
    }
    catch( Exception ex ) {
      ex.printStackTrace();
    }
  }

}
