
// TreeIterator utility
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.

package com.myarch.treeiterator;

import java.util.Iterator;

/**
 * Generic node interface used by tree iterator.
 */
public interface TreeNodeAdapter {

  /**
   * Returns <code>java.util.Iterator</code> to iterate over children of the node.
   * @param node node
   * @return <code>java.util.Iterator</code> for the collection that contains children
   * of the given node.
   */
  public Iterator getChildren( Object node );

  /**
   * Returns true if the node has children.
   * @param node node
   * @return <code>true</code> if the node has children
   */
  public boolean hasChildren( Object node );

}